package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserMoneyDetails;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;

public interface UserMoneyDetailsService extends IService<UserMoneyDetails> {
    Result queryUserMoneyDetails(Integer page, Integer limit, UserMoneyDetails userMoneyDetails);

    Result selectUserMoneyDetails(Integer page, Integer limit,Long userId, Integer classify,Integer type);

    Double monthIncome(String date,Long userId);

    IPage<HashMap<String, Object>> getProfitList(Long userId,Integer type, Integer page, Integer limit);

    Result selectCashDeposit(String phone, Integer type, Integer page, Integer limit, Long userId);

}
